BESSEL(3M)

NAME
j0, j1, jn, y0, y1, yn - Bessel functions

SYNOPSIS
#include <math.h>

double j0(x)
double x;

double j1(x)
double x;

double jn(n, x)
double x;
int n;

double y0(x)
double x;

double y1(x)
double x;

double yn(n, x)
double x;
int n;

DESCRIPTION
These functions calculate Bessel functions of the first and second kinds for real arguments and integer orders.

SEE ALSO
exp(3M)

DIAGNOSTICS
The functions y0, y1, and yn have logarithmic singularities at the origin, so they treat zero and negative arguments the way log does, as described in exp(3M). Such arguments are unexceptional for j0, j1, and jn.